%global namedreltag -alpha-2
%global namedversion %{version}%{?namedreltag}

%define with_maven_integration_tests 0

Name:          shrinkwrap-resolver
Version:       1.1.0
Release:       %mkrel a2.1
Summary:       ShrinkWrap Resolvers
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.jboss.org/shrinkwrap/
# https://github.com/shrinkwrap/
# mkdir -p shrinkwrap-resolver-1.1.0-alpha-2
# git clone git://github.com/shrinkwrap/resolver.git
# cd resolver
# git archive 1.1.0-alpha-2 | tar -x -C ../shrinkwrap-resolver-1.1.0-alpha-2
# cd ..
# tar czf shrinkwrap-resolver-1.1.0-alpha-2-src-git.tar.gz shrinkwrap-resolver-1.1.0-alpha-2
Source0:       shrinkwrap-resolver-%{namedversion}-src-git.tar.gz
# force maven 3 apis use when maven 2 is installed
Source1:       shrinkwrap-resolver-1.1.0-alpha-1-depmap

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: aether
BuildRequires: apache-commons-io
BuildRequires: google-guice
BuildRequires: jetty
BuildRequires: jsoup
BuildRequires: junit4
BuildRequires: maven
BuildRequires: plexus-cipher
BuildRequires: plexus-classworlds
BuildRequires: plexus-containers-component-annotations
BuildRequires: plexus-interpolation
BuildRequires: plexus-sec-dispatcher
BuildRequires: plexus-utils
BuildRequires: shrinkwrap
BuildRequires: sisu

BuildRequires: findbugs-maven-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-wagon
BuildRequires: maven-surefire-provider-junit4

Requires:      aether
Requires:      apache-commons-io
Requires:      google-guice
Requires:      jsoup
Requires:      maven
Requires:      plexus-cipher
Requires:      plexus-classworlds
Requires:      plexus-containers-component-annotations
Requires:      plexus-interpolation
Requires:      plexus-sec-dispatcher
Requires:      plexus-utils
Requires:      shrinkwrap
Requires:      sisu

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Shrinkwrap provides a simple mechanism to assemble archives like JARs, WARs, and
EARs with a friendly, fluent API.

This package provides ShrinkWrap Resolvers.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

find -name '*.class' -exec rm -f '{}' \;

for j in $(find . -name "*.jar" ! -name "test*.jar"); do
  rm -rf $j
done

# FIXME
# jboss-parent
sed -i "s|<version>8</version>|<version>6</version>|" pom.xml
# aether
sed -i "s|<version.org.sonatype.aether>1.12</version.org.sonatype.aether>|<version.org.sonatype.aether>1.11</version.org.sonatype.aether>|" impl-maven/pom.xml
# sisu
sed -i "s|<version.org.sonatype.sisu.inject.plexus>2.2.2</version.org.sonatype.sisu.inject.plexus>|<version.org.sonatype.sisu.inject.plexus>2.1.1</version.org.sonatype.sisu.inject.plexus>|" impl-maven/pom.xml
sed -i "s|<version.org.sonatype.sisu.inject.bean>2.2.2</version.org.sonatype.sisu.inject.bean>|<version.org.sonatype.sisu.inject.bean>2.1.1</version.org.sonatype.sisu.inject.bean>|" impl-maven/pom.xml
# google-guice
sed -i "s|<version.org.sonatype.sisu.guice>3.0.2</version.org.sonatype.sisu.guice>|<version.org.sonatype.sisu.guice>3.0</version.org.sonatype.sisu.guice>|" impl-maven/pom.xml

%if !%with_maven_integration_tests
sed -i "s|<module>impl-maven-integration-tests</module>|<!--module>impl-maven-integration-tests</module-->|" pom.xml
%endif

%build

mvn-rpmbuild -Dmaven.local.depmap.file=%{SOURCE1} install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 api/target/%{name}-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-api.jar
install -pm 644 api-maven/target/%{name}-api-maven-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-api-maven.jar
install -pm 644 build-resources/target/%{name}-build-resources-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-build-resources.jar
install -pm 644 impl-maven/target/%{name}-impl-maven-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-impl-maven.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-parent.pom
install -pm 644 depchain/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-depchain.pom
%add_maven_depmap JPP-%{name}-depchain.pom
install -pm 644 api/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-api.pom
%add_maven_depmap JPP-%{name}-api.pom %{name}-api.jar
install -pm 644 api-maven/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-api-maven.pom
%add_maven_depmap JPP-%{name}-api-maven.pom %{name}-api-maven.jar
install -pm 644 build-resources/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-build-resources.pom
%add_maven_depmap JPP-%{name}-build-resources.pom %{name}-build-resources.jar
install -pm 644 impl-maven/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-impl-maven.pom
%add_maven_depmap JPP-%{name}-impl-maven.pom %{name}-impl-maven.jar


%if %with_maven_integration_tests
install -pm 644 impl-maven-integration-tests/ear-sample/target/%{name}-impl-maven-test-ear-sample-%{namedversion}.ear \
   %{buildroot}%{_javadir}/%{name}-impl-maven-test-ear-sample.ear
install -pm 644 impl-maven-integration-tests/ear-sample-test/target/%{name}-impl-maven-test-ear-sample-test-%{namedversion}.jar \
   %{buildroot}%{_javadir}/%{name}-impl-maven-test-ear-sample-test.jar
install -pm 644 impl-maven-integration-tests/jar-sample/target/%{name}-impl-maven-test-jar-sample-%{namedversion}.jar \
   %{buildroot}%{_javadir}/%{name}-impl-maven-test-jar-sample.jar
install -pm 644 impl-maven-integration-tests/war-sample/target/%{name}-impl-maven-test-war-sample-%{namedversion}.war \
   %{buildroot}%{_javadir}/%{name}-impl-maven-test-war-sample.war

install -pm 644 impl-maven-integration-tests/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-impl-maven-tests.pom
%add_maven_depmap JPP-%{name}-impl-maven-tests.pom
install -pm 644 impl-maven-integration-tests/ear-sample/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}-impl-maven-test-ear-sample.pom
%add_maven_depmap JPP-%{name}-impl-maven-test-ear-sample.pom %{name}-impl-maven-test-ear-sample.ear
install -pm 644 impl-maven-integration-tests/ear-sample-test/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}-impl-maven-test-ear-sample-test.pom
%add_maven_depmap JPP-%{name}-impl-maven-test-ear-sample-test.pom %{name}-impl-maven-test-ear-sample-test.jar
install -pm 644 impl-maven-integration-tests/jar-sample/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}-impl-maven-test-jar-sample.pom
%add_maven_depmap JPP-%{name}-impl-maven-test-jar-sample.pom %{name}-impl-maven-test-jar-sample.jar
install -pm 644 impl-maven-integration-tests/war-sample/pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}-impl-maven-test-war-sample.pom
%add_maven_depmap JPP-%{name}-impl-maven-test-war-sample.pom %{name}-impl-maven-test-war-sample.war
%endif

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}-*.jar
%if %with_maven_integration_tests
%{_javadir}/%{name}-*.ear
%{_javadir}/%{name}-*.war
%endif
%{_mavenpomdir}/JPP-%{name}-*.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Feb 23 2012 gil <gil> 1.1.0-a2.1.mga2
+ Revision: 213592
- update to 1.1.0-alpha-2
- imported package shrinkwrap-resolver

